# std::_ValFunClos< _Expr, _Dom > Struct Template Reference

Inheritance diagram for std::_ValFunClos< _Expr, _Dom >:

List of all members.

## Detailed Description

### template<class _Dom>
struct std::_ValFunClos< _Expr, _Dom >

Definition at line 426 of file valarray_before.h.

## Public Types

- typedef _FunBase< _Dom, typename
  _Dom::value_type > _Base
- typedef value_type _Tp
- typedef _Base::value_type value_type

## Public Member Functions

- _ValFunClos (const _Dom &__e, _Tp __f(_Tp))
- value_type operator[] (size_t __i) const
- size_t size () const

The documentation for this struct was generated from the following file:

- valarray_before.h